/* #########################################
 * Traffic monitoring using Raspberry PI
 * Author: Michal Zacpal
 * Library: Tools for camera
 * 2015
 * ######################################### */
#ifndef CAMERATOOLS_H
#define CAMERATOOLS_H

#include <opencv2/opencv.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include "raspicam/raspicam_cv.h"
#include <QString>

#include "basefunctions.h"
using namespace std;
using namespace cv;
using namespace raspicam;

Mat grab_pic(VideoCapture cam);
Mat grab_pic_R(RaspiCam_Cv cam);
QString get_cam_info(VideoCapture cam);
int get_num_of_cam();
bool save_pic(QString path, Mat matImg,int iCam);
//VideoCapture open_cam(int iCam);

#endif // CAMERATOOLS_H


